**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

# Howto Roundcube


## Plugin sieve

~~~
# aptitude install roundcube-plugins-extra
~~~

La config se fait dans _/etc/roundcube/plugins/sieverules/config.inc.php_.
Pour activer le plugin, rajouter _sieverules_ dans l'array `$rcmail_config['plugins']` (fichier _/etc/roundcube/main.inc.php_).

## Plugin vacation

<http://sourceforge.net/projects/rcubevacation/>

Patch UTF-8 : <http://paste.evolix.org/paste/117/>

## Plugin password

Il est présent de base dans Roundcube (au moins en 0.9.5). Pour activer le plugin, rajouter 'password' dans l'array `$rcmail_config['plugins']` (fichier _/etc/roundcube/main.inc.php_).
Pour les comptes mail stockés dans LDAP il faut installer `php-net-ldap2` et mettre en place le fichier /etc/roundcube/plugins/password/config.inc.php suivant :

~~~
<?php
$rcmail_config['password_driver'] = 'ldap';
$rcmail_config['password_minimum_length'] = 6;
$rcmail_config['password_ldap_host'] = 'localhost';
$rcmail_config['password_ldap_port'] = '389';
$rcmail_config['password_ldap_version'] = '3';
$rcmail_config['password_ldap_basedn'] = 'dc=example,dc=com';
$rcmail_config['password_ldap_method'] = 'user';
$rcmail_config['password_ldap_search_filter'] = '(uid=%login)';
$rcmail_config['password_ldap_pwattr'] = 'userPassword';
$rcmail_config['password_ldap_encodage'] = 'ssha';
?>
~~~

## Mode debug

/etc/roundcube/main.inc.php :

~~~
$rcmail_config['imap_debug'] = true;
~~~

~~~
# tail -f /var/log/syslog | grep roundcube
~~~