# Howto Nagios

* <https://www.nagios.org/documentation/>

## Faire tous les tests d'un fichier de conf

~~~{.bash}
(while read line; do if [[ "$line" =~ ^command ]]; then echo $line; eval $(echo "$line" | cut -d'=' -f2); fi; done) < /etc/nagios/nrpe.d/tests.cfg 
~~~

## FAQ

### priorité dans nrpe.d/ ?

Les fichiers dans le répertoire nrpe.d/ sont lus aléatoirement ! Avec deux fichiers *nrpe.d/a.cfg* et *nrpe.d/b.cfg*, vous n'avez pas la garantie que *b.cfg* sera lu en dernier. En conséquence, il faut éviter de mettre une option identique dans plusieurs fichiers en espérant que celle du dernier fichier dans l'ordre alphanumérique sera prise en compte.

