**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

# Howto Solr

<http://lucene.apache.org/solr/>

<http://wiki.apache.org/solr/>

## Installation

On installe Java 6 / Tomcat 6  via [wiki:HowtoTomcat]

On installe le paquet 'solr-tomcat' depuis Debian Sid :

~~~
# aptitude install solr-tomcat
~~~

## Configuration

Par défaut, les données sont dans */var/lib/solr*.
Si l'on souhaite les stocker ailleurs (par exemple _/srv/solr_), on gèrera un lien symbolique :
`var/lib/solr -> /srv/solr`

La configuration se trouve dans le répertoire _/etc/solr/_

## Instances

Pour lancer plusieurs instances de Solr dans le même tomcat, il "suffit" de dupliquer la configuration dans /etc/tomcat6/Catalina/localhost/ avec un répertoire de configuration distinct :

~~~
# cat /etc/tomcat6/Catalina/localhost/solr-1.xml
<?xml version="1.0" encoding="utf-8"?>
<Context docBase="/var/lib/solr/solr.war" debug="0" crossContext="true">
  <Environment name="solr/home" type="java.lang.String" value="/etc/solr/solr-1" override="true"/>
</Context>
# cat /etc/tomcat6/Catalina/localhost/solr-2.xml 
<?xml version="1.0" encoding="utf-8"?>
<Context docBase="/var/lib/solr/solr.war" debug="0" crossContext="true">
  <Environment name="solr/home" type="java.lang.String" value="/etc/solr/solr-2" override="true"/>
</Context>
~~~

Et de dupliquer le répertoire "conf" dans /etc/solr/<instance>/.

~~~
# ls -l /etc/solr/*
/etc/solr/solr-1:
total 4
drwx------ 5 tomcat6 tomcat6 4096 Apr 19 15:28 conf

/etc/solr/solr-2:
total 4
drwx------ 5 tomcat6 tomcat6 4096 Apr 19 15:28 conf
~~~

## Trop de logs ?

Si c'est trop verbeux dans catalina.out (ou catalina.date.log), il faut changer le niveau de verbosité dans son interface d'admin. Exemple avec un tunnel :

~~~
ssh -L 8080::8080 unemachine-solr
~~~

