# Howto Supervisor

<http://supervisord.org/>

~~~
# apt install supervisor
~~~

## Configuration

Fichier /etc/supervisor/supervisord.conf

Par exemple pour écouter sur le port TCP/9001 (sans authentification) :

~~~
[inet_http_server]
port = 9001
~~~

On peut ensuite faire :

~~~
$ supervisorctl -s http://127.0.0.1:9001 status
~~~

## En cas de soucis

On vérifie si le process tourne encore

~~~
# ps -ef | grep supervisord
~~~

Si c'est le cas on peut le `kill` (et `kill -9` si ça n'a pas suffit).

Si ce n'est plus le cas, il se peut qu'il soit nécessaire de supprimer
la socket

~~~
# unlink /var/run/supervisor.sock
~~~
