# Astuces Firefox

## Bookmark dynamique

Créer un bookmark vers une URL du type <https://www.google.fr/?q=%s> avec le "keyword" gg

Vous pouvez ainsi chercher dans votre toolbar : `gg test`

et vous aurez une recherche Google !

## Avoir un Flash récent

Le support de Flash pour Linux se poursuit avec "Pepper Flash Player" qui est désormais téléchargeable sur <https://get.adobe.com/flashplayer/otherversions/> avec la version **PPAPI** compressé en tar.gz

Suite au téléchargement du fichier, voici la procédure à suivre :

~~~
# tar xf flash_player_ppapi_linux.x86_64.tar.gz
# mkdir /usr/lib/pepperflashplugin-nonfree/
# cp libpepflashplayer.so /usr/lib/pepperflashplugin-nonfree/
~~~

Il faut vérifier qu'il y ait bien l'option contrib dans jessie-backports :

~~~
# cat /etc/apt/sources.list.d/backports.list 
# deb http://ftp.debian.org/debian jessie-backports contrib main
# apt update
~~~

Puis on installe le plugin suivant :

~~~
# apt install browser-plugin-freshplayer-pepperflash
~~~

Note 1 : browser-plugin-freshplayer-pepperflash est dans jessie-backports et stretch

Note 2 : au lieu de télécharger le plugin, on peut installer le paquet pepperflashplugin-nonfree de testing, cela fonctionne pour Jessie/Stretch : <https://packages.debian.org/testing/amd64/pepperflashplugin-nonfree/download>

## plugin Java

~~~
# apt install icedtea-7-plugin
~~~

## Gestionnaire de profils

~~~
$ firefox --ProfileManager
~~~


## Forcer l'affichage en punycode des noms de domaines internationalisés 

Aller dans about:config et forcer `network.IDN_show_punycode` à `true`

## Mettre Firefox en RAM

Si l'on a des problèmes de performances disques, ou que l'on utilise du NFS pour son /home, il peut être intéressant de minimiser les accès disques via l'utilisation de la RAM.

Pour désactiver le cache disque et utiliser la RAM, aller dans about:config et forcer :

- browser.cache.disk.enable => false
- browser.cache.memory.enable => true

