---
categories: Amazon
title: Amazon-S3
...

* Présentation : <https://aws.amazon.com/s3/>
* Documentation : <https://aws.amazon.com/documentation/s3/>

# Présentation

Amazon Simple Storage Service (Amazon S3) fournit un espace de
stockage via une interface REST (donc web). On peut y accéder via
l'espace client d'Amazon ou via des clients.

C'est de l'object storage. Donc chaque fichier qu'on met dedans est un
objet. Cet objet contient les données et les meta-données. On ne peut
pas créer de dossier mais les noms de objet peuvent contenir des slash
("/") et ainsi on peut créer une arborescence virtuelle. En réalité
tous les objets sont stockés au même niveau. On stocke les objets dans
un *bucket*.

Pour plus de détails voir la
[page wikipedia en anglais](https://en.wikipedia.org/wiki/Object_storage).

# Clients

* L'outil cli d'amazon <https://aws.amazon.com/cli/>
* S3cmd <https://github.com/s3tools/s3cmd>
* Minio Client (mc) <https://github.com/minio/mc>
