**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

# Howto GParted

<http://gparted.org>

## Créer un Live USB

<http://gparted.org/liveusb.php>

1. Prendre une clé USB vierge, par exemple /dev/sdz

Si elle n'est pas vierge, l'effacer en faisant quelques secondes :

~~~
# dd if=/dev/zero of=/dev/sdz
^C
~~~

2. Formater la clé USB en dos et créer une partition FAT32 :

~~~
# parted /dev/sdz

(parted) p                                                                
Error: /dev/sdz: unrecognised disk label                                  

(parted) mklabel msdos

(parted) mkpart primary fat32 0% 100%

# mkfs.vfat -F 32 /dev/sdz1
~~~

3. Télécharger la dernière version (.zip en amd64) sur <https://sourceforge.net/projects/gparted/files/gparted-live-stable/>

4. Deziper sur le point de montage : 

~~~
# mount /dev/sdz1 /mnt 
# unzip gparted-live-0.26.1-5-amd64.zip -d /mnt/
~~~

5. Lancer le script suivant en root et suivre les instructions :

~~~
# apt install libc6-i386
# bash /mnt/utils/linux/makeboot.sh /dev/sdz1
This command will install MBR and syslinux bootloader on this machine
--------------------------------------------
Machine: 20BSCT42XY:
Model: SanDisk  (scsi)
Disk /dev/sdc: 4005MB
Sector size (logical/physical): 512B/512B
Partition Table: msdos
Disk Flags: 

Number  Start   End     Size    Type     File system  Flags
 1      1049kB  4005MB  4003MB  primary  fat32        boot, hidden, lba

--------------------------------------------
Are you sure you want to continue?
[y/n] y
OK! Let's do it!
--------------------------------------------
File system of /dev/sdc1: vfat
--------------------------------------------
Do you want to install mbr on /dev/sdc on this machine "20BSCT42XY" ?
[y/n] y
OK! Let's do it!
--------------------------------------------
Do you want to install the SYSLINUX bootloader on /dev/sdc1 on this machine "20BSCT42XY" ?
[y/n] y
OK! Let's do it!
A filesystem supporting Unix file mode for syslinux is required. Copying syslinux from FAT to /tmp/...
'/mnt/utils/linux/syslinux' -> '/tmp/syslinux_tmp.ZISOfr/syslinux'
Running: /tmp/syslinux_tmp.ZISOfr/syslinux -d syslinux -f -i /dev/sdc1 
done!
//NOTE// If your USB flash drive fails to boot (maybe buggy BIOS), try to use "syslinux -d syslinux -fs /dev/sdc1", i.e. running with "-fs".

~~~

6. umount et c'est prêt !

~~~
# umount /mnt
# sync
~~~