---
categories: databases nosql
title: Howto neo4j
---

**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

## Installation

Ajouter dans le fichier _/etc/apt/sources.list.d/neo4j.list_ :

~~~
deb <http://debian.neo4j.org/repo> stable/
~~~

Puis importer la clé :

~~~
# wget -O - <http://debian.neo4j.org/neotechnology.gpg.key> | apt-key add -
~~~

Installer ensuite neo4j et Java :

~~~
# aptitude update
# aptitude install neo4j openjdk-7-jre
~~~

## Configuration

Configurations spécifiques :

- Fichier /etc/default/neo4j :

~~~
ulimit -n 42000
~~~

- S'assurer que Java 7 est bien par défaut avec `java -version` (a priori OpenJDK fonctionne malgré les warnings)

- Si besoin de Java différente de celle par défaut, il faudra modifier JAVACMD dans le script du démon

## Sauvegarde

On peut réaliser un "dump" ainsi :

~~~
/usr/bin/neo4j-shell -readonly -host 127.0.0.1 -port 1337 -c export-graphml -t -o neo4j.graphml
~~~

À noter que ça nécessite l'installation d'un plugin Neo4j pour faire une sauvegarde/restauration via GraphML : <https://github.com/jexp/neo4j-shell-tools>

## Monitoring

Check HTTP sur <http://localhost:7474/db/manage> ...en attendant mieux.
