**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

*Soucis lié à l'ACPI sur Dell R220*

Pour désactiver l'ACPI au démarage :

~~~
boot> boot -c
...
UKC> disable acpi
UKC> quit/
~~~

Puis pour le désactiver définitivement :

~~~
# config -ef /bsd  
Enter 'help' for information
ukc> disable acpi
ukc> quit
Saving modified kernel. 
~~~

## syspatch

[syspatch](https://man.openbsd.org/syspatch) permet de maintenir son noyau/système up-to-date (fonctionne uniquement pour les versions supportées, à savoir stable et stable-1) :

~~~
root:1# syspatch -c                                                            
004_libssl
005_ahopts
006_prevhdr
007_etherip

root:2# syspatch    
Get/Verify syspatch62-004_libssl.tgz 100% |*************|  2515 KB    00:02    
Installing patch 004_libssl
Get/Verify syspatch62-005_ahopts.tgz 100% |********************************************************|   703 KB    00:01    
Installing patch 005_ahopts
Get/Verify syspatch62-006_prevhdr... 100% |********************************************************|   783 KB    00:01    
Installing patch 006_prevhdr
Get/Verify syspatch62-007_etherip... 100% |********************************************************|  1030 KB    00:01    
Installing patch 007_etherip
Relinking to create unique kernel...  done.

root:4# syspatch -l 
001_tcb_invalid
002_fktrace
003_mpls
004_libssl
005_ahopts
006_prevhdr
007_etherip
~~~

rollback :

~~~
# syspatch -r
~~~

## FAQ


### ksh: ignoring old style history file

~~~
$ mv .histfile .histfile.old
~~~